// GENERATED BY THE COMMAND ABOVE; DO NOT EDIT
// This file was generated by swaggo/swag

package docs

import (
	"bytes"
	"encoding/json"
	"strings"

	"github.com/alecthomas/template"
	"github.com/swaggo/swag"
)

var doc = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{.Description}}",
        "title": "{{.Title}}",
        "termsOfService": "https://www.hzinsights.com/",
        "contact": {
            "name": "www.hzinsights.com/",
            "url": "https://www.hzinsights.com/",
            "email": "pyan@hzinsights.com"
        },
        "license": {
            "name": "Apache 2.0",
            "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/activity/addRemind": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "添加提醒",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "活动模块"
                ],
                "summary": "添加提醒",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "活动ID",
                        "name": "activity_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "操作成功",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "操作失败",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "4001": {
                        "description": "指定错误",
                        "schema": {
                            "$ref": "#/definitions/activity.RemindCheckInfo"
                        }
                    }
                }
            }
        },
        "/activity/cancelRegister": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "取消报名",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "活动模块"
                ],
                "summary": "取消报名",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "活动ID",
                        "name": "activity_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "操作成功",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "操作失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/activity/cancelRemind": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "取消提醒",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "活动模块"
                ],
                "summary": "取消提醒",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "活动ID",
                        "name": "activity_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "操作成功",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "操作失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/activity/getActivityDetail": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取报告详情",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "报告接口"
                ],
                "summary": "获取报告详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "活动ID",
                        "name": "activity_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/yb_activity.ActivityDetail"
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/activity/getActivityVoices": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取活动录音",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "活动模块"
                ],
                "summary": "获取活动录音",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "活动ID",
                        "name": "activity_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/yb_activity_voice.YbActivityVoice"
                            }
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/activity/getPageList": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取活动列表",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "活动模块"
                ],
                "summary": "活动列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "活动类别/标题",
                        "name": "title",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "活动状态 1-本周预告 2-进行中 3-已结束",
                        "name": "active_state",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "活动类型 1-线上会议 3-线下沙龙",
                        "name": "activity_type",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "当前页码",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "每页数量",
                        "name": "limit",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/yb_activity.ActivityItem"
                            }
                        }
                    },
                    "400": {
                        "description": "活动获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/activity/registerActivity": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "报名活动",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "活动模块"
                ],
                "summary": "报名活动",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "活动ID",
                        "name": "activity_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "操作成功",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "操作失败",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "4001": {
                        "description": "指定错误",
                        "schema": {
                            "$ref": "#/definitions/activity.RegisterCheckInfo"
                        }
                    }
                }
            }
        },
        "/public/get_apply_variety_list": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取所有可以申请的品种权限列表",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "公共模块"
                ],
                "summary": "获取所有可以申请的品种权限列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "微信登录后获取到的token",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "获取成功",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/logic.ApplyVariety"
                            }
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/public/upload": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "文件上传",
                "consumes": [
                    "multipart/form-data"
                ],
                "tags": [
                    "公共模块"
                ],
                "summary": "文件上传",
                "parameters": [
                    {
                        "type": "string",
                        "description": "微信登录后获取到的token",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "file",
                        "description": "操作描述",
                        "name": "file",
                        "in": "formData"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "上传成功",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "上传失败，存储目录创建失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/user/apply": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "用户申请",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户模块"
                ],
                "summary": "用户申请",
                "parameters": [
                    {
                        "type": "string",
                        "description": "微信登录后获取到的token",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/user.ApplyReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/user.LoginResp"
                        }
                    }
                }
            }
        },
        "/user/get_email_code": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取邮箱验证码",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户模块"
                ],
                "summary": "获取邮箱验证码",
                "parameters": [
                    {
                        "type": "string",
                        "description": "微信登录后获取到的token",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "电子邮箱账号",
                        "name": "email",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/user/get_last_apply_record": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取最近一条申请单信息",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户模块"
                ],
                "summary": "获取最近一条申请单信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "微信登录后获取到的token",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "获取成功",
                        "schema": {
                            "$ref": "#/definitions/user.Record"
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/user/get_sms_code": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取短信验证码接口",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户模块"
                ],
                "summary": "获取短信验证码",
                "parameters": [
                    {
                        "type": "string",
                        "description": "微信登录后获取到的token",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "手机号",
                        "name": "mobile",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "手机国际区号（中国大陆：86）",
                        "name": "area_num",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/user/get_tab_bar": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取用户的菜单栏权限",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户模块"
                ],
                "summary": "获取用户的菜单栏权限",
                "parameters": [
                    {
                        "type": "string",
                        "description": "微信登录后获取到的token",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "获取成功",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "string"
                            }
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/user/info": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "我的详情",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户模块"
                ],
                "summary": "我的详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "微信登录后获取到的token",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "获取成功",
                        "schema": {
                            "$ref": "#/definitions/user.Detail"
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/user/login": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "用户手机号/邮箱登录",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户模块"
                ],
                "summary": "用户登录",
                "parameters": [
                    {
                        "type": "string",
                        "description": "微信登录后获取到的token",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/user.LoginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/user.LoginResp"
                        }
                    }
                }
            }
        },
        "/wechat/login": {
            "get": {
                "description": "微信登录",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "微信相关接口"
                ],
                "summary": "微信登录",
                "parameters": [
                    {
                        "type": "string",
                        "description": "微信code",
                        "name": "code",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/response.LoginResp"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "activity.RegisterCheckInfo": {
            "type": "object",
            "properties": {
                "msg": {
                    "type": "string"
                },
                "specific": {
                    "type": "integer"
                },
                "type": {
                    "type": "string"
                }
            }
        },
        "activity.RemindCheckInfo": {
            "type": "object",
            "properties": {
                "msg": {
                    "type": "string"
                },
                "specific": {
                    "type": "integer"
                },
                "type": {
                    "type": "string"
                }
            }
        },
        "logic.ApplyVariety": {
            "type": "object",
            "properties": {
                "name": {
                    "type": "string"
                },
                "pic_url": {
                    "type": "string"
                }
            }
        },
        "response.LoginResp": {
            "type": "object",
            "properties": {
                "authorization": {
                    "type": "string"
                },
                "is_bind": {
                    "type": "boolean"
                },
                "user_id": {
                    "type": "integer"
                }
            }
        },
        "user.ApplyReq": {
            "type": "object",
            "properties": {
                "business_card_url": {
                    "type": "string"
                },
                "company_name": {
                    "type": "string"
                },
                "permission": {
                    "type": "string"
                },
                "real_name": {
                    "type": "string"
                }
            }
        },
        "user.CompanyPermission": {
            "type": "object",
            "properties": {
                "name": {
                    "type": "string"
                },
                "permission_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/user.PermissionList"
                    }
                }
            }
        },
        "user.Detail": {
            "type": "object",
            "properties": {
                "company_name": {
                    "type": "string"
                },
                "email": {
                    "type": "string"
                },
                "mobile": {
                    "type": "string"
                },
                "permission_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/user.CompanyPermission"
                    }
                },
                "real_name": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "user.LoginReq": {
            "type": "object",
            "properties": {
                "area_num": {
                    "type": "integer"
                },
                "bind_type": {
                    "type": "integer"
                },
                "email": {
                    "type": "string"
                },
                "mobile": {
                    "type": "string"
                },
                "verify_code": {
                    "type": "string"
                }
            }
        },
        "user.LoginResp": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "mobile": {
                    "type": "string"
                },
                "token": {
                    "type": "string"
                },
                "user_id": {
                    "type": "integer"
                }
            }
        },
        "user.PermissionList": {
            "type": "object",
            "properties": {
                "end_date": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "start_date": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "user.Record": {
            "type": "object",
            "properties": {
                "business_card_url": {
                    "type": "string"
                },
                "company_name": {
                    "type": "string"
                },
                "mobile": {
                    "type": "string"
                },
                "real_name": {
                    "type": "string"
                }
            }
        },
        "yb_activity.ActivityDetail": {
            "type": "object",
            "properties": {
                "activityId": {
                    "type": "integer"
                },
                "activityName": {
                    "description": "活动名称",
                    "type": "string"
                },
                "activityState": {
                    "description": "活动状态 1-本周预告 2-进行中 3-已结束",
                    "type": "integer"
                },
                "activityTypeId": {
                    "description": "活动类型ID",
                    "type": "integer"
                },
                "activityTypeName": {
                    "description": "活动类型名称",
                    "type": "string"
                },
                "address": {
                    "description": "活动地址",
                    "type": "string"
                },
                "americaTel": {
                    "description": "美国拨入",
                    "type": "string"
                },
                "city": {
                    "description": "城市",
                    "type": "string"
                },
                "endTime": {
                    "description": "活动结束时间",
                    "type": "string"
                },
                "firstActivityTypeId": {
                    "description": "第一级的活动类型ID",
                    "type": "integer"
                },
                "firstActivityTypeName": {
                    "description": "第一级的活动类型名称",
                    "type": "string"
                },
                "hasPlayBack": {
                    "description": "是否有回放",
                    "type": "integer"
                },
                "hasRemind": {
                    "description": "是否已提醒",
                    "type": "integer"
                },
                "hongKongTel": {
                    "description": "香港拨入",
                    "type": "string"
                },
                "isLimitPeople": {
                    "description": "是否限制人数 1是，0否",
                    "type": "integer"
                },
                "limitPeopleNum": {
                    "description": "限制人数数量",
                    "type": "integer"
                },
                "linkParticipants": {
                    "description": "参会链接",
                    "type": "string"
                },
                "mainlandTel": {
                    "description": "大陆拨入",
                    "type": "string"
                },
                "participationCode": {
                    "description": "参会密码",
                    "type": "string"
                },
                "registerState": {
                    "description": "报名状态 0-取消报名 1-已报名",
                    "type": "integer"
                },
                "registeredNum": {
                    "description": "已报名人数",
                    "type": "integer"
                },
                "reportLink": {
                    "description": "报告链接",
                    "type": "string"
                },
                "singaporeTel": {
                    "description": "新加坡拨入",
                    "type": "string"
                },
                "speaker": {
                    "description": "主讲人",
                    "type": "string"
                },
                "speakerBackgroundPic": {
                    "description": "主讲人背景图",
                    "type": "string"
                },
                "speakerHeadPic": {
                    "description": "主讲人头像",
                    "type": "string"
                },
                "startTime": {
                    "description": "活动开始时间",
                    "type": "string"
                },
                "taiwanTel": {
                    "description": "台湾拨入",
                    "type": "string"
                },
                "weekString": {
                    "description": "周几",
                    "type": "string"
                }
            }
        },
        "yb_activity.ActivityItem": {
            "type": "object",
            "properties": {
                "activityId": {
                    "type": "integer"
                },
                "activityName": {
                    "description": "活动名称",
                    "type": "string"
                },
                "activityState": {
                    "description": "活动状态 1-本周预告 2-进行中 3-已结束",
                    "type": "integer"
                },
                "activityTypeId": {
                    "description": "活动类型ID",
                    "type": "integer"
                },
                "activityTypeName": {
                    "description": "活动类型名称",
                    "type": "string"
                },
                "city": {
                    "description": "城市",
                    "type": "string"
                },
                "endTime": {
                    "description": "活动结束时间",
                    "type": "string"
                },
                "firstActivityTypeId": {
                    "description": "第一级的活动类型ID",
                    "type": "integer"
                },
                "firstActivityTypeName": {
                    "description": "第一级的活动类型名称",
                    "type": "string"
                },
                "hasPlayBack": {
                    "description": "是否有回放",
                    "type": "integer"
                },
                "hasRemind": {
                    "description": "是否已提醒",
                    "type": "integer"
                },
                "registerState": {
                    "description": "报名状态 0-取消报名 1-已报名",
                    "type": "integer"
                },
                "speaker": {
                    "description": "主讲人",
                    "type": "string"
                },
                "speakerBackgroundPic": {
                    "description": "主讲人背景图",
                    "type": "string"
                },
                "speakerHeadPic": {
                    "description": "主讲人头像",
                    "type": "string"
                },
                "startTime": {
                    "description": "活动开始时间",
                    "type": "string"
                },
                "weekString": {
                    "description": "周几",
                    "type": "string"
                }
            }
        },
        "yb_activity_voice.YbActivityVoice": {
            "type": "object",
            "properties": {
                "activityId": {
                    "description": "活动id",
                    "type": "integer"
                },
                "createTime": {
                    "type": "string"
                },
                "voiceName": {
                    "description": "音频名称",
                    "type": "string"
                },
                "voicePlaySeconds": {
                    "description": "音频时长",
                    "type": "string"
                },
                "voiceUrl": {
                    "description": "音频地址",
                    "type": "string"
                }
            }
        }
    }
}`

type swaggerInfo struct {
	Version     string
	Host        string
	BasePath    string
	Schemes     []string
	Title       string
	Description string
}

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = swaggerInfo{
	Version:     "1.0",
	Host:        "127.0.0.1:8607",
	BasePath:    "/",
	Schemes:     []string{},
	Title:       "弘则研报API接口文档",
	Description: "这是弘则研报API接口文档",
}

type s struct{}

func (s *s) ReadDoc() string {
	sInfo := SwaggerInfo
	sInfo.Description = strings.Replace(sInfo.Description, "\n", "\\n", -1)

	t, err := template.New("swagger_info").Funcs(template.FuncMap{
		"marshal": func(v interface{}) string {
			a, _ := json.Marshal(v)
			return string(a)
		},
	}).Parse(doc)
	if err != nil {
		return doc
	}

	var tpl bytes.Buffer
	if err := t.Execute(&tpl, sInfo); err != nil {
		return doc
	}

	return tpl.String()
}

func init() {
	swag.Register(swag.Name, &s{})
}
